# class KPixmapProvider | an abstract interface for looking up icons. More...
Contains pure virtuals
Definition | `#include <kpixmapprovider.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual ~KPixmapProvider ()
- virtual QPixmap pixmapFor ( const QString& text, int size = 0 )

## Detailed Description

A tiny abstract class with just one method: pixmapFor()

It will be called whenever an icon is searched for `text`.

Used e.g. by KHistoryCombo

~KPixmapProvider () | ### ~KPixmapProvider

[virtual]

QPixmap pixmapFor ( const QString& text, int size = 0 ) | ### pixmapFor

[pure virtual]

You may subclass this and return a pixmap of size `size` for `text`.

- Author: Carsten Pfeiffer <pfeiffer@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:13 2001, using kdoc 2.0a53.